{% extends 'base.html' %}
{% load static %}

{% block title %}Список пациентов{% endblock title %}

{% block main %}
<div class="wrapper">
    {% include 'sidebar.html' %}
    <div id="content-page" class="content-page">
        {% include 'navbar.html' %}
        <div class="container-fluid">
            <div class="row">
                <div class="col-sm-12">
                    <div class="iq-card">
                        <div class="iq-card-header d-flex justify-content-between">
                            <div class="iq-header-title">
                                <h4 class="card-title">Список пациентов</h4>
                            </div>
                            <div class="iq-card-header-toolbar d-flex align-items-center">
                                <div class="dropdown">
                                    <span class="dropdown-toggle text-primary" id="dropdownMenuButton5" data-toggle="dropdown" aria-expanded="false">
                                    <i class="ri-more-fill"></i>
                                    </span>
                                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuButton5" style="">
                                        <a class="dropdown-item" href="{% url 'patients:patient.create' %}"><i class="ri-pencil-fill mr-2"></i>Добавить</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="iq-card-body">
                            <div class="table-responsive">
                                <table class="table mb-0 table-borderless">
                                    <thead>
                                        <tr>
                                            <th scope="col">ФИО</th>
                                            <th scope="col">ИИН</th>
                                            <th scope="col">Паспорт</th>
                                            <th scope="col">Пол</th>
                                            <th scope="col">Дата рождения</th>
                                            <th scope="col">Возраст</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        {% for patient in object_list %}
                                        <tr>
                                            <td><a href="{{ patient.get_absolute_url }}">{{ patient.person.full_name }}</a></td>
                                            <td>{{ patient.person.iin }}</td>
                                            <td>{{ patient.person.passport }}</td>
                                            <td>{{ patient.person.get_gender_display }}</td>
                                            <td>{{ patient.person.birth_date }}</td>
                                            <td>{{ patient.person.age }}</td>
                                        </tr>
                                        {% endfor %}
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        {% include 'footer.html' %}
    </div>
</div>
{% endblock main %}